package com.uas.ps.message.domain.ApiModel;

/**
 * 消息
 */
public class MessageModel{
    /**
     * 消息类型
     */
    private String type;
    /**
     * 消息内容
     */
    private String content;
    /**
     * 备注
     */
    private String remark;
    /**
     * 来源id
     */
    private Long sourceId;
    /**
     * 消息接收者uu
     */
    private Long receiverUu;
    /**
     * 消息接收者企业uu
     */
    private Long receiverEnuu;
    /**
     * 消息发送者
     */
    private Long senderUu;
    /**
     * 消息发送者企业uu
     */
    private Long senderEnuu;
    /**
     * 来源应用
     */
    private String producerApp;
    /**
     * 消费类型(所有应用共享："PUBLIC",单个应用独享："SINGLE",多个应用共享："MULTI")
     */
    private String consumeType;
    /**
     * 推送方式类型
     * 邮件、短信、IM："MAIL_AND_SM_AND_IM"
     * 邮件、短信："MAIL_AND_SM"
     * 邮件、IM:"MAIL_AND_IM"
     * 短信、IM:"SM_AND_IM"
     * 邮件:"MAIL"
     * 短信:"SM"
     * IM:"IM"
     * 不发送:"DONT_SEND"
     */
    private String smsType;
    /**
     * 邮件模板id
     */
    private String mailTemplate;
    /**
     * 短息模板id
     */
    private String smTemplate;
    /**
     * 接收应用(以","拼接应用名称)
     */
    private String consumerApp;
}
