package com.uas.ps.message.domain;

import java.io.Serializable;
import java.util.Map;

/**
 * 用户信息
 *
 */
public class User implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * uu号，ID
	 */
	private Long userUU;

	/**
	 * 用户名
	 */
	private String vipName;

	/**
	 * 邮箱
	 */
	private String email;

	/**
	 * 手机号
	 */
	private String mobile;

	/**
	 * imid
	 */
	private Long imId;

	/**
	 * 所属当前登录公司
	 */
	private String spaceName;

	public Long getUserUU() {
		return userUU;
	}

	public void setUserUU(Long userUU) {
		this.userUU = userUU;
	}

	public String getVipName() {
		return vipName;
	}

	public void setVipName(String vipName) {
		this.vipName = vipName;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public Long getImId() {
		return imId;
	}

	public void setImId(Long imId) {
		this.imId = imId;
	}

	public String getSpaceName() {
		return spaceName;
	}

	public void setSpaceName(String spaceName) {
		this.spaceName = spaceName;
	}

	public User() {

	}

	public User(Map<String, Object> map) {
		this.setEmail(map.get("email").toString());
		this.setImId(Long.valueOf(map.get("imId").toString()));
		this.setMobile(map.get("mobile").toString());
		this.setSpaceName(map.get("spaceName").toString());
		this.setVipName(map.get("vipName").toString());
	}
}
